astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Legendre1D

# Legendre1D

class `astropy.modeling.polynomial.``Legendre1D`(degree, domain=None, window=[-1, 1], param_dim=1, **params)

  Bases: `astropy.modeling.polynomial.PolynomialModel`

  1D Legendre polynomial.

  Parameters:

  degree : int

  > degree of the series

  domain : list or None

  window : list or None

  > If None, it is set to [-1,1] Fitters will remap the domain to this window

  param_dim : int

  > number of parameter sets

  **params : dict

  > keyword: value pairs, representing parameter_name: value

  fixed: a dict :

  > a dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied: dict :

  > a dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds: dict :

  > a dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons: list :

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Methods Summary

  `clenshaw`(x, coeff) |
  `deriv`(x, *params) | Computes the Vandermonde matrix.

  Methods Documentation

  `clenshaw`(x, coeff)
  `deriv`(x, *params)

    Computes the Vandermonde matrix.

    Parameters:

    x : ndarray

    > input

    params : throw away parameter

    > parameter list returned by non-linear fitters

    Returns:

    result : ndarray

    > The Vandermonde matrix